Poet::Util::File(3pm)

NAME
Poet::Util::File - File utilities

SYNOPSIS
    # In a script...
    use Poet::Script qw(:file);

    # In a module...
    use Poet qw(:file);

    # In a component...
    <%class>
    use Poet qw(:file);
    </%class>

DESCRIPTION
This group of utilities includes

basename, dirname
    From File::Basename.

mkpath, make_path, rmtree, remove_tree
    From File::Path.

read_file, write_file, read_dir
    From File::Slurp.

abs2rel canonpath catdir catfile rel2abs
    From File::Spec::Functions.

SEE ALSO
Poet

AUTHOR
Jonathan Swartz <swartz@pobox.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Jonathan Swartz.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.